Welcome to the Linux Foundation Forum!

PSI Sceure Broswer Issue

Hi,

I am getting the following error when trying to download and install PSI secure browser for my exam (study.com)

Error installing update
please uninstall and then download and install the current version
you can not use this version

Anwar Ahmed
[email protected]

Answers

Categories

Upcoming Training